org.simpleframework.http.session

## Class SessionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.simpleframework.util.FormatException
      - - org.simpleframework.util.lease.LeaseException
        - - org.simpleframework.http.session.SessionException

All Implemented Interfaces:
  java.io.Serializable

    public class SessionException
    extends LeaseException

The `SessionException` is used to indicate that some operation failed when trying to access a session or when trying to perform some operation on an existing session. Typically this is thrown when a session no longer exists.

Author:
  Niall Gallagher
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SessionException(java.lang.String template, java.lang.Object... list)` This constructor is used if there is a description of the event that caused the exception required.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionException

    public SessionException(java.lang.String template,
                    java.lang.Object... list)

This constructor is used if there is a description of the event that caused the exception required. This can be given a message used to describe the situation for the exception.

Parameters:
  `template` - this is a description of the exception
  `list` - this is the list of arguments that can be used